package com.gic.haoban.manage.service.service.role;

import com.gic.haoban.manage.service.entity.role.TabHaobanMenu;
import com.gic.haoban.manage.service.pojo.bo.role.HaobanMenuBO;

import java.util.List;

/**
 *
 *
 * @author mozhu
 * @since 2022-09-06 16:35:11
 */
public interface HaobanMenuService {

    /**
     * 通过ID查询单条数据
     *
     * @param menuId 主键
     * @return 实例对象
     */
    TabHaobanMenu queryById(Long menuId);

    /**
     * 新增数据
     *
     * @param tabHaobanMenu 实例对象
     * @return 实例对象
     */
    TabHaobanMenu insert(TabHaobanMenu tabHaobanMenu);

    /**
     * 修改数据
     *
     * @param tabHaobanMenu 实例对象
     * @return 实例对象
     */
    TabHaobanMenu update(TabHaobanMenu tabHaobanMenu);

    /**
     * 菜单树
     * @return
     */
    List<HaobanMenuBO> getMenuTreeList();

}
