package com.gic.haoban.manage.api.dto.qdto.role;

import java.io.Serializable;
import java.util.List;

/**
 * 好办小程序权限(TabHaobanRole)实体类
 *
 * @author mozhu
 * @since 2022-09-06 16:35:07
 */
public class HaobanRoleQDTO implements Serializable {

    private static final long serialVersionUID = 554109287178364863L;

    private Long roleId;
    /**
     * 权限名称
     */
    private String roleName;
    /**
     * 0:导购；1:店长；3:区经
     */
    private Integer clerkType;
    /**
     * 权限id
     */
    private List<Long> menuIds;

    private List<Long> delMenuIds;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public List<Long> getMenuIds() {
        return menuIds;
    }

    public void setMenuIds(List<Long> menuIds) {
        this.menuIds = menuIds;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public List<Long> getDelMenuIds() {
        return delMenuIds;
    }

    public void setDelMenuIds(List<Long> delMenuIds) {
        this.delMenuIds = delMenuIds;
    }
}

